Run in Apidog
Endpoint for H2H merchants to check 3D Secure eligibility on a credit card. Returns an authentication URL used to redirect the consumer to the 3DS challenge page. Request Add parameter in header Signature
Example: Signature: ********************
Add parameter in header Client-Id
Example: Client-Id: ********************
Send your HTTP requests with an Authorization
header that contains the word Basic followed by a space and a base64-encoded string username:password Example: Authorization: Basic *****************
or
Body Params application/json Required
{
"order" : {
"amount" : 150000 ,
"currency" : "MYR" ,
"invoice_number" : "INV-2024-001" ,
"descriptor" : "DOKU Payment"
} ,
"card" : {
"number" : "4111111111111111" ,
"expiry" : "1225" ,
"cardholder_name" : "John Doe" ,
"cardholder_email_address" : "john.doe@example.com" ,
"cardholder_phone_number" : "081234567890"
} ,
"three_d_secure" : {
"callback_url_success" : "https://merchant.com/payment/success" ,
"callback_url_failed" : "https://merchant.com/payment/failed"
} ,
"payment" : {
"type" : "SALE"
} ,
"customer" : {
"id" : "CUST-001" ,
"name" : "John Doe" ,
"email" : "john.doe@example.com" ,
"phone" : "081234567890"
}
} Request Code Samples
curl --location '/check-three-d-secure' \
--header 'Request-Id: a1b2c3d4-e5f6-7890-abcd-ef1234567890' \
--header 'Request-Timestamp: 2024-01-15T10:30:00Z' \
--header 'Signature: <api-key>' \
--header 'Client-Id: <api-key>' \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data-raw '{
"order": {
"amount": 150000,
"currency": "MYR",
"invoice_number": "INV-2024-001",
"descriptor": "DOKU Payment"
},
"card": {
"number": "4111111111111111",
"expiry": "1225",
"cardholder_name": "John Doe",
"cardholder_email_address": "john.doe@example.com",
"cardholder_phone_number": "081234567890"
},
"three_d_secure": {
"callback_url_success": "https://merchant.com/payment/success",
"callback_url_failed": "https://merchant.com/payment/failed"
},
"payment": {
"type": "SALE"
},
"customer": {
"id": "CUST-001",
"name": "John Doe",
"email": "john.doe@example.com",
"phone": "081234567890"
}
}' Responses Success - returns authentication URL for the 3DS challenge
{
"order" : {
"amount" : 150000 ,
"currency" : "MYR" ,
"invoice_number" : "INV-2024-001"
} ,
"three_d_secure" : {
"authentication_id" : "AUTH-20240115-001" ,
"authentication_url" : "https://3ds.doku.com/authenticate?id=AUTH-20240115-001" ,
"three_ds_version" : "2.0"
}
}
Modified at 2026-10-05 10:27:25